package com.company.surveypoc.screen.survey;

import io.jmix.ui.component.Label;
import io.jmix.ui.screen.*;
import com.company.surveypoc.entity.Survey;
import org.springframework.beans.factory.annotation.Autowired;

@UiController("SurveyRules.edit")
@UiDescriptor("survey-rules-edit.xml")
@EditedEntityContainer("surveyDc")
public class SurveyRulesEdit extends StandardEditor<Survey> {
    @Autowired
    private Label<String> surveyTitleLabel;

    @Subscribe
    public void onBeforeShow(final BeforeShowEvent event) {
        surveyTitleLabel.setValue("<h2>" + getEditedEntity().getName() + "</h2>");
    }
}