package com.company.surveypoc.entity;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum SurveyAnswerTypeEnum implements EnumClass<String> {

    SINGLE_ANSWER_MULTIPLE_CHOICE("Single Answer Multiple Choice"),
    MULTIPLE_ANSWER_MULTIPLE_CHOICE("Multiple Answer Multiple Choice"),
    WRITTEN_SINGLE_LINE("Written Single Line"),
    WRITTEN_MULTIPLE_LINE("Written Multiple Line");

    private final String id;

    SurveyAnswerTypeEnum(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    @Nullable
    public static SurveyAnswerTypeEnum fromId(String id) {
        for (SurveyAnswerTypeEnum at : SurveyAnswerTypeEnum.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}