package com.company.surveypoc.entity;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum SurveyRuleActionEnum implements EnumClass<String> {

    SHOW("Show"),
    HIDE("Hide"),
    SET_REQUIRED("Set Required"),
    SET_NOT_REQUIRED("Set Not Required");

    private final String id;

    SurveyRuleActionEnum(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    @Nullable
    public static SurveyRuleActionEnum fromId(String id) {
        for (SurveyRuleActionEnum at : SurveyRuleActionEnum.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}